#include <iostream>  
#include <fstream>  
using namespace std;

#define MAXPPL 10
#define MAXSTR 200

struct person_record_t
{
	char name[MAXSTR];
	int age;
};

void print_person(person_record_t p)
{
	cout << "Name: " << p.name << endl;
	cout << "Age: " << p.age << endl;
}

void read_person(char *inputline, person_record_t &output)
{

}

int main(int argc, char **argv)
{
	/*	
	person_record_t p = {"Alberto", 13};
	print_person(p);
	person_record_t q = {"Jane", 33};
	print_person(q);
	*/


	if (argc != 2) {
		cerr << "Expecting exactly one argument for the file to read!" << endl;
		return 1;
	}


	// cout << "file to open is " << argv[1] << endl;
	ifstream ifs; // stream to read the file from
	ifs.open(argv[1], ios_base::in); 

	if (!ifs) {
		cerr << "Unable to read file \"" << argv[1] << "\"" << endl;
		return 1;

	}


	person_record_t people[MAXPPL];
	char line[MAXSTR];	

	int c = 0;
	while (ifs.getline(line, MAXSTR))
	{
		cout << "Line " << c << ": '" << line << "'" << endl;
		c++;
	}

	ifs.close();
	return 0;
}


